#!/usr/bin/env python
# coding: utf-8
# $Id$
import math
import time
#import MyViewCache 

class InterFace():
    def __init__(self, dataid, **kwargs):
        self.dataid = dataid
        self.option = kwargs.get('option', None)

    def load(self, **kwargs):
        option = kwargs.get('option', None)
        others = kwargs.get('others', None)

    def varsx(self, **kwargs):
        """
        return list of candidates of variables for x-axis
        """
        vary = kwargs.get('vary', None)
        varz = kwargs.get('varz', None)
        option = kwargs.get('option', None)
        return ['time', 'R']

    def varsy(self, **kwargs):
        """
        return list of candidates of variables for y-axis or y2-axis
        """
        varx = kwargs.get('varx', None)
        varz = kwargs.get('varz', None)
        option = kwargs.get('option', None)
        return ['Value1', 'Value2', 'Value3']

    def varsz(self, **kwargs):
        """
        return list of candidates of variables for z-axis
        """
        varx = kwargs.get('varx', None)
        vary = kwargs.get('vary', None)
        option = kwargs.get('option', None)
        return []

    def indexs(self, **kwargs):
        """
        return list of indexs for varx, vary, varz, option.
        """
        varx = kwargs.get('varx', None)
        vary = kwargs.get('vary', None)
        varz = kwargs.get('varz', None)
        option = kwargs.get('option', None)
        lst = ["%d_%g" % (i, i*0.1) for i in range(50)]
        return lst

    def dataset(self, **kwargs):
        """
        return list of dataset for varx, vary, varz, index, option.
        dataset := [title, x, xe, y, ye, z, ze]
        x = [x1, x2, x3, ... , xn]
        y = [y1, y2, x3, ... , ym] 
        z = [[z(x1, y1), z(x2, y1), z(x3, y1),...,z(xn, y1)],
             [z(x1, y2), z(x2, y2), z(x3, y2),...,z(xn, y2)],
             [z(x1, y3), z(x2, y3), z(x3, y3),...,z(xn, y3)], 
             ......
             [z(x1, ym), z(x2, ym), z(x3, ym),...,z(xn, ym)]] 
        len(z) = len(y)
        len(z[i]) = len(x)
        """

        xdata = [i * 0.1 for i in range(100)]
        ydata = [i * 0.1 for i in range(100)]
      
        vary = kwargs.get('vary', None)
        if vary == 'Value1':
            ydata = [math.sin(x) for x in xdata]
        elif vary == 'Value2':
            ydata = [math.cos(x) for x in xdata]


        xe = []
        #y = [math.sin(v) for v in x]
        ye = [0.1 for v in xdata]
        zdata = []
        """
        for y in ydata:
            zx = []
            for x in xdata:
                z = 1 * math.sin(x)
                zx.append(z)
            zdata.append(zx)
        """
        ze = []

        return ["test", xdata, xe, ydata, ye, zdata, ze]






