#!/usr/bin/env python
# coding: utf-8
# $Id$
from MyViewGlobal import variables
import math
import time
import re
#import MyViewCache 

var_pat=re.compile('%\w*%')

def helptext():
    print("shotinfo.helptext()")
    text = """
    <p>Here is an expanation of this module <p><br />
    $Id$ <br />
    Module name : directtext <br />
    Script name : lm_directtext.py <br />
    Data source : <br />
    Author name : M. Emoto <br />
    Contact to  : emo@lhd.nifs.ac.jp <br />
    """
    return text

class InterFace():
    def __init__(self, dataid, **kwargs):
        #print dataid
        self.dataid = dataid
        pass

    def load(self, **kwargs):
        option = kwargs.get('option', None)
        others = kwargs.get('others', None)
        print(option+'_'+others)
        pass

    def labeltext(self, **kwargs):
        """
        return label text for dataid and option.
        """
        text = kwargs.get('arg', "")
        #time.sleep(1)
        text = re.sub(var_pat, self.get_val, text)
        return text

    def get_val(self, m):
        """
        replace variabes with its value
        """
        key=m.group(0)
        if (key == '%%'):
            return '%'
        elif ( key == '%NOW%' ):
            import datetime
            now = datetime.datetime.today()
            return "%04d/%02d/%02d %02d:%02d" % (now.year, now.month, now.day, now.hour, now.minute)
        if ( key in variables ):
            return variables[key]
        else:
            return key

        



