#!/usr/bin/env python
# coding: utf-8
# $Id$

import wx
import wx.lib.newevent
import os
import time
import re
import sys
import zipfile
import webbrowser

from MyViewGlobal import debug, logger, variables


class ShowInfoDlg(wx.Dialog):
    """
    About ウィンドウ
    """
    def __init__(self, parent, contents_text=""):
        #wx.Dialog.__init__(self, parent, -1, 'About myView', size=(480, 320))
        wx.Dialog.__init__(self, parent, -1, 'Data Information',
                style=wx.DEFAULT_DIALOG_STYLE|wx.RESIZE_BORDER|wx.STAY_ON_TOP)
        #self.SetBackgroundColour('#dcdda8') #dcdda8
        #config = variables.get('%CONFIG%', "{}")
        #self.Refresh()
        button = wx.Button(self, wx.ID_OK, "OK")
        contents = wx.TextCtrl(self, -1, contents_text, 
                style=wx.TE_READONLY|wx.TE_MULTILINE|wx.HSCROLL|wx.TE_AUTO_URL)

        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(contents, 1, wx.EXPAND|wx.ALL, 5)
        sizer.Add(button, 0, wx.ALIGN_RIGHT|wx.ALL, 5)

        #self.Bind(wx.EVT_BUTTON, self.OnCheck, btn_check)
        self.Bind(wx.EVT_TEXT_URL, self.OnURL, contents)

        self.SetSizer(sizer)
        self.Layout()
    
    def OnURL(self, evt):
        #print(dir(evt))
        if evt.MouseEvent.LeftIsDown():
            url_start = evt.URLStart
            url_end = evt.URLEnd
            url_string = evt.EventObject.GetValue()[url_start:url_end]
            #print(url_string)
            webbrowser.open(url_string)

if __name__ == '__main__':
    app = wx.App()

    dialog = ShowInfoDlg(None, contents_text="http://www.nifs.ac.jp")
    result = dialog.ShowModal()
    addlist = []

    dialog.Destroy()

