#!/usr/bin/env python3
import threading
import time

Fences = {}
FenceLock = threading.Lock()

def DeleteFence(key):
    global FenceLock, Fences
    FenceLock.acquire()
    if key in Fences:
        del Fences[key]
    FenceLock.release()

class Fence():
    def __init__(self, key):
        global FenceLock, Fences
        FenceLock.acquire()
        if key in Fences:
            self.fence = Fences[key]
        else:
            self.fence = threading.Lock()
            Fences[key] = self.fence
        FenceLock.release()

    def lock(self):
        self.fence.acquire()

    def release(self):
        self.fence.release()
        
        
