# $Id$
# coding: utf-8
# モージュール間で共有する変数の定義

import logging
import logging.handlers

debug = False
realtime_debug = False
logging.basicConfig(level=logging.DEBUG,
                    format='%(asctime)s %(levelname)s %(message)s',
                    datefmt='%Y/%m/%d %H:%M:%S')
                    
#fileHandler = logging.FileHandler('myView2.log','a+')
fileHandler = logging.handlers.RotatingFileHandler(filename='myView2.log',
                                                   mode='a+',
                                                   maxBytes=(10*1024*1024),
                                                   backupCount=5)
fileHandler.level = logging.DEBUG
fileHandler.formatter = logging.Formatter(fmt='%(asctime)s %(levelname)s %(message)s',
                                          datefmt='%Y/%m/%d %H:%M:%S')
logger = logging.getLogger()
#MyViewGlobal.logger.addHandler(fileHandler)

#hash
variables = {}

#Error
class GlobalError(object):
    def __init__(self):
        self.error = None

    def clear(self):
        self.error = None

    def set(self,msg):
        self.error = msg

    def get(self):
        return self.error
    
globalError = GlobalError()


