#!/usr/bin/env python
# coding: utf-8
# $Id$
import socket
import sys

HOST, PORT = "localhost", 9999
data = " ".join(sys.argv[1:])

# Create a socket (SOCK_STREAM means a TCP socket)
sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Connect to server and send data
sock.connect((HOST, PORT))
sock.send(data + "\n")
print(("Sent:     %s" % data))

# Receive data from the server and shut down
#sock.settimeout(30.0)
flgquit = False
while not flgquit:
    received = sock.recv(1024)
    if 'finished' in received:
        flgquit = True
    print(("Received: %s" % received))
sock.close()


