#!/bin/sh
target=$1
#svnversion > version.txt
git log | grep commit | wc -l > version.txt
case $target in
    lhd)
	config=myView2-lhd.cnf
	inifile=client2-lhd.ini
	default=plot_default-lhd.txt
	modules=DataModules/datamodules-lhd.txt
	;;
    kstar)
	config=myView2-kstar.cnf
	inifile=client2-kstar.ini
	default=plot_default-kstar.txt
	modules=DataModules/datamodules-kstar.txt
	;;
    *)
	echo "usage: $0 [lhd|kstar]"
	exit 1
	;;
esac
cp $config myView2.cnf
tr -d '\r' < $inifile > client2.ini	
cp $default plot_default.txt
cp $modules DataModules/datamodules.txt
